import { BaseCustomWebComponentLazyAppend, TypedEvent } from '@node-projects/base-custom-webcomponent';
export type DesignerTabControlIndexChangedEventArgs = {
    newIndex: number;
    oldIndex?: number;
    changedViaClick?: boolean;
};
export declare class DesignerTabControl extends BaseCustomWebComponentLazyAppend {
    private _selectedIndex;
    private _panels;
    private _headerDiv;
    private _moreDiv;
    private _moreContainer;
    private _elementMap;
    private _firstConnect;
    static readonly style: CSSStyleSheet;
    constructor();
    private _showHideHeaderItems;
    connectedCallback(): void;
    get selectedIndex(): number;
    set selectedIndex(value: number);
    refreshItems(): void;
    private _selectedIndexChanged;
    readonly onSelectedTabChanged: TypedEvent<DesignerTabControlIndexChangedEventArgs>;
}
